Bug 202628 - hang on ifup eth0 in anaconda
hang on ifup eth0 in anaconda
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 11:49 EDT by Brian Brock
Modified: 2008-04-28 12:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 12:09:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2006-08-15 11:49:59 EDT
System hardlocks when anaconda attempts to ifup eth0

rawhide-20060815
anaconda-11.1.0.80-1
kernel-2.6.17-1.2566.fc6

unavoidable in default case with a simple ks.cfg, preventing testing of fresh
rawhide intalls

The system progress normally through installation until attempting to bring up
eth0.  After clearing the screen, the system hardlocks.  Caps/num lock keys have
no effect, nothing unusual or about dhcp is printed to serial console.



booted via tftpboot with:
  kernel ______/rawhide-20060815/development/i386/os/images/pxeboot/vmlinuz
  append
initrd=______/rawhide-20060815/development/i386/os/images/pxeboot/initrd.img
console=ttyS0,115200 console=tty0 ks=http://_____/ks.cfg 

ks.cfg:
install
nfs --server=________ --dir=____/rawhide-20060815/development/i386/os
cmdline
lang en_US.UTF-8
langsupport --default=en_US.UTF-8 en_US.UTF-8
keyboard us
skipx
network --device eth0 --bootproto dhcp
rootpw --iscrypted ____________
firewall --disabled
authconfig --enableshadow --enablemd5
selinux --disabled
timezone --utc America/New_York
bootloader --location=mbr --driveorder=hda --append="console=ttyS0,115200 consol
e=tty0"
reboot
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
clearpart --all
part /boot --fstype ext3 --size=100
part / --fstype ext3 --size=2048 --grow
part swap --size=256 --grow --maxsize=512

%packages --ignoremissing --resolvedeps
kernel-xen
xen
nfs-utils
httpd
@ development-tools
Comment 1 Brian Brock 2006-08-15 11:51:17 EDT
installations of FC-6 Test2 can be yum updated to the same set of packages
without problem, and I can't trigger the hang (yet) by reconfiguring network
interfaces.
Comment 2 Bug Zapper 2008-04-03 13:57:14 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Brian Brock 2008-04-28 12:09:36 EDT
bug's been fixed for a while, resolving

Note You need to log in before you can comment on or make changes to this bug.